%define name iftop 
%define version 0.17
%define release %mkrel 8

Name: %name
Summary: Command line tool that displays bandwidth usage on an interface
Version: %version
Release: %release
Source0: http://www.ex-parrot.com/~pdw/iftop/download/%{name}-%{version}.tar.bz2
Patch0: iftop-0.17-format_not_a_string_literal_and_no_format_arguments.diff
URL: http://www.ex-parrot.com/~pdw/iftop/ 
Group: Monitoring 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
BuildRequires: libpcap-devel libncurses-devel texinfo

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p0

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m755 iftop $RPM_BUILD_ROOT%{_sbindir}
install -m 644 iftop.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_sbindir}/iftop
%doc README COPYING TODO INSTALL
%{_mandir}/man8/*






%changelog
* Thu Mar 03 2011 tmb <tmb> 0.17-8.mga1
+ Revision: 62778
- imported package iftop


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-8mdv2011.0
+ Revision: 611174
- rebuild

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.17-7mdv2010.1
+ Revision: 453953
- fix build
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-5mdv2009.1
+ Revision: 298258
- rebuilt against libpcap-1.0.0

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.17-4mdv2009.0
+ Revision: 247210
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.17-2mdv2008.1
+ Revision: 140756
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 13 2006 Thomas Backlund <tmb@mandriva.org> 0.17-2mdv2007.0
+ Revision: 83870
- rebuild because of breakage due to ncurses rollback
- Import iftop

* Wed Apr 05 2006 Erwan Velu <erwan@seanodes.com> 0.17-1mdk
- 0.17

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.16-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.16-1mdk
- 0.16

